package com.persagy.proxy.adm.service;

import com.persagy.proxy.adm.model.AdmFloor;
import com.persagy.proxy.adm.request.AdmQueryCriteria;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;

import java.util.List;

/**
 * ADM 楼层 接口类
 * @author lvxy
 * @date 2021/8/16
 */
public interface IAdmFloorService extends IAdmBaseService<AdmFloor>{

    /**
     * 查询outLine
     * @param request
     * @return
     */
    AdmResponse doQueryOutLine(InstanceUrlParam context, AdmQueryCriteria request, Class<AdmFloor> clazz);

    /**
     * 查询建筑下的楼层
     * @param context
     * @param buildingId
     * @return
     */
    List<AdmFloor> queryFloorInBuilding(InstanceUrlParam context, String buildingId);
}
